Searches
List your searches (single and bulk), newest first
GET /api/v1/tasks
Parameters
| Name | Type | Description |
|---|---|---|
page Optional · in query | integer | Page number, from 1. Values below 1 count as 1. Default: 1. |
per_page Optional · in query | integer | Items per page. Clamped to 5–100. Default 20. Default: 20. |
type Optional · in query | string | Only this kind of task. Any other value is ignored. |
Responses
-
200 One page of tasks
-
401 The API key is missing or unknown
-
403 No active Scale or Enterprise plan bought in the last 30 days
-
429 More than 1,500 requests with this key in the last hour
curl -X GET "https://server.localcontact.ai/api/v1/tasks" \
-H "Authorization: Bearer $LOCALCONTACT_API_KEY"import os
import requests
headers = {"Authorization": f"Bearer {os.environ['LOCALCONTACT_API_KEY']}"}
response = requests.get("https://server.localcontact.ai/api/v1/tasks", headers=headers)
print(response.json())const headers = { Authorization: `Bearer ${process.env.LOCALCONTACT_API_KEY}` };
const response = await fetch("https://server.localcontact.ai/api/v1/tasks", { headers });
console.log(await response.json());Response · 200
{
"data": [
{
"id": "0f8c3a52-7f4e-4c1e-9b8a-2a5d6c1e9f00",
"type": "single",
"company": "string",
"location": "string",
"status": "mapping",
"progress": 0,
"credits_used": 1,
"created_at": "2026-11-14T10:00:00+00:00",
"updated_at": "2026-11-14T10:00:00+00:00"
}
],
"meta": {
"total": 1,
"page": 1,
"per_page": 1,
"last_page": 1
}
}Error examples
401 · The API key is missing or unknown
{
"error": "API token missing"
}403 · No active Scale or Enterprise plan bought in the last 30 days
{
"error": "API access requires an active Scale or Enterprise plan.",
"upgrade_url": "https://localcontact.ai/dashboard/billing"
}429 · More than 1,500 requests with this key in the last hour
{
"error": "Rate limit exceeded. Max 100 requests per hour.",
"retry_after": 3600
}